package com.ruoyi.front.controller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.annotation.RequiresPermissions;
import com.ruoyi.logistics.domain.BizBanner;
import com.ruoyi.logistics.service.IBizBannerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * WX-轮播图
 * 
 * @author RuiJing
 * @date 2026-02-05
 */
@RestController
@RequestMapping("/front/banner")
public class BannerController extends BaseController
{
    @Autowired
    private IBizBannerService bizBannerService;

    /**
     * 首页-轮播图列表
     */
    @GetMapping("/listByType")
    public AjaxResult listByType()
    {
        BizBanner bizBanner = new BizBanner();
        bizBanner.setSysType("1");
        bizBanner.setIsActive("0");
        List<BizBanner> list = bizBannerService.selectBizBannerList(bizBanner);
        return success(list);
    }
}
